Bug 259405 - mail/squirrelmail: Update to 20211024
Summary: mail/squirrelmail: Update to 20211024
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 16:23 UTC by James B. Byrne
Modified: 2021-11-08 00:29 UTC (History)
2 users (show)

See Also:
yasu: maintainer-feedback+


Attachments
patch to 20211024 (5.92 KB, patch)
2021-10-24 20:59 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2021-10-24 16:23:17 UTC
FreeBSD-12.2p10

apache-2.4.51 (FBSD 1202000)
mod_php80-8.0.11
php80-8.0.11

squirrelmail-php80-20200422

Squirrelmail-PHP80 fails to load and raises the following error:

[php:error] [pid 13492] [client 192.168.216.41:15698] PHP Fatal error:  Array and string offset access syntax with curly braces is no longer supported in /usr/local/www/squirrelmail/functions/strings.php on line 634
Comment 1 Zsolt Udvari 2021-10-24 20:15:36 UTC
I noticed bug 259172 too, but I didn't have time previous week. I'm working on it now.
Comment 2 Zsolt Udvari 2021-10-24 20:59:32 UTC
Created attachment 229004 [details]
patch to 20211024
Comment 3 Yasuhiro Kimura freebsd_committer 2021-11-07 23:49:46 UTC
Take.
Comment 4 commit-hook freebsd_committer 2021-11-08 00:16:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f0d7d1d5682418487961eb0565d4f212e5b20b75

commit f0d7d1d5682418487961eb0565d4f212e5b20b75
Author:     Zsolt Udvari <uzsolt@uzsolt.hu>
AuthorDate: 2021-11-08 00:03:29 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-08 00:15:24 +0000

    mail/squirrelmail: Update to 20211024

    While here,

    * Switch to DISTVERSION
    * Pet portclippy
    * Re-format Makefile with portfmt

    PR:             259405
    Reported by:    James B. Byrne

 mail/squirrelmail/Makefile                         | 35 +++++------
 mail/squirrelmail/distinfo                         |  6 +-
 .../files/patch-functions__i18n.php (gone)         | 32 ----------
 .../files/patch-functions_strings.php (gone)       | 71 ----------------------
 4 files changed, 21 insertions(+), 123 deletions(-)
Comment 5 Yasuhiro Kimura freebsd_committer 2021-11-08 00:29:11 UTC
Committed with some refinements. Thanks!